gr::gsm::cx_channel_hopper Class Reference

<+description of block+> More...

`#include <cx_channel_hopper.h>`

Inheritance diagram for gr::gsm::cx_channel_hopper:

## Public Types

typedef std::shared_ptr< cx_channel_hopper > | sptr

## Static Public Member Functions

static sptr | make (const std::vector< int > &ma, int maio, int hsn)
| Return a shared_ptr to a new instance of gsm::cx_channel_hopper.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<cx_channel_hopper> gr::gsm::cx_channel_hopper::sptr

## Member Function Documentation

## make()

sptr gr::gsm::cx_channel_hopper::make | ( | const std::vector< int > & | ma,
|  | int | maio,
|  | int | hsn )

static

Return a shared_ptr to a new instance of gsm::cx_channel_hopper.

To avoid accidental use of raw pointers, gsm::cx_channel_hopper's constructor is in a private implementation class. gsm::cx_channel_hopper::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- cx_channel_hopper.h